@import url('https://fonts.googleapis.com/css2?family=Courier+Prime:wght@400;700&display=swap');

:root {
    --white: #fff;
    --black: #000;
}

* {
    box-sizing: border-box;
    margin: 0;
}

body {
    font-family: 'Courier Prime', monospace;
    height: 100vh;
    transition: filter ease-in-out 900ms;
    /* background-image: url(images/paper_old_texture.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center; */
}

main {
    display: none;
    background-color: #fff;
    height: 100vh;
}

.nav-bar {
    display: flex;
    justify-content: flex-end;
    padding: 1%;
    /* border-bottom: thin solid #000; */
    gap: 15px;
}

button {
    background: none;
    border: none;
    background-color: #fff;
    font-family: 'Courier Prime', monospace;
    padding: 3px;
    padding-top: 4px;
    transition: background-color ease-in-out 200ms, color 250ms;
}

.selected {
    background-color: #000;
    color: #fff;
}

.nav-bar button:hover {
    cursor: pointer;
    background-color: #000;
    color: #fff;
}

.info-container {
    display: flex;
    flex-direction: column;
    /* background-color: red; */
    font-size: 22px;
    padding-top: 1%;
    padding-left: 3%;
}

.info-container p {
    margin-bottom: 0.8%;
}

.weather-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* background-color: aquamarine; */
}

.weather-img {
    width: 210px;
    height: 210px;
    background-image: url(images/Snow.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    margin-bottom: 2%;
}

.weather-img-hourly {
    width: 30px;
    height: 30px;
    background-image: url(images/Snow.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    margin-bottom: 2%;
}

.txt-temperature {
    font-size: 84px;
    letter-spacing: -8px;
}

.txt-condition {
    font-size: 50px;
}

footer {
    display: flex;
    justify-content: space-between;
    position: fixed;
    background-color: white;
    text-align: center;
    font-size: 14px;
    width: 100vw;
    left: 0;
    bottom: 0;
    padding: 1%;
}

footer a {
    text-decoration: none;
    color: #000;
}

footer button:hover {
    cursor: pointer;
}

.filler {
    height: 20px;
    width: 20px;
    background-image: url(images/info_black_48dp.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.info-popup {
    display: none;
    position: absolute;
    left: 50px;
    bottom: 50px;
    text-align: left;
}

.dark-mode-btn {
    height: 20px;
    width: 20px;
    background-image: url(images/Night_Mode.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    transform-origin: bottom right;
}

.light-mode-btn {
    display: none;
    height: 20px;
    width: 20px;
    background-image: url(images/Sun.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

/* Search page */
.search-wrapper {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    gap: 50px;
    height: 100vh;
    width: 100vw;
    top: 0;
    left: 0;
    transition: top ease-in-out 500ms;
}

.title {
    font-size: 62px;
}

.search-container {
    display: flex;
    align-items: center;
    gap: 20px;
}

.search-bar {
    background-color: transparent;
    color: #000;
    border: none;
    border-radius: 20px;
    height: 45px;
    width: 690px;
    outline: none;
    font-size: 24px;
    padding-left: 20px;
    font-family: 'Courier Prime', monospace;
    box-shadow: 0px 0px 0px 3px #000;
}

.search-bar::placeholder {
    font-style: italic;
    color: #d4d4d4;
}

.search-btn {
    height: 55px;
    width: 55px;
    border-radius: 50%;
    border: none;
    background-color: #000;
    background-image: url(images/search.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 55%;
    /* filter: invert(); */
}

.search-btn:hover {
    cursor: pointer;
}

.search-btn:active {
    scale: 0.95;
}

.search-results {
    /* background-color: aqua; */
    overflow: scroll;
    height: 250px;
    width: 660px;
    margin-right: 60px;
}

.search-results::-webkit-scrollbar {
    background: none;
    width: 6px;
}

.search-results::-webkit-scrollbar-thumb {
    background-color: #000;
    border-radius: 5px;
}

ul {
    list-style: none;
    padding: 0;
}

li {
    width: fit-content;
    margin-bottom: 1%;
    border-bottom: thin solid #fff;
}

li:hover {
    cursor: pointer;
    border-bottom: thin solid #000;
}

#loading-bar-spinner.spinner {
    display: none;
    left: 50%;
    margin-left: -20px;
    top: 50%;
    margin-top: -20px;
    position: absolute;
    z-index: 19 !important;
    animation: loading-bar-spinner 400ms linear infinite;
}

#loading-bar-spinner.spinner .spinner-icon {
    width: 40px;
    height: 40px;
    border: solid 4px transparent;
    border-top-color: #000 !important;
    border-left-color: #000 !important;
    border-radius: 50%;
}

@keyframes loading-bar-spinner {
    0% {
        transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/* Hourly weather page */
.hourly-view {
    display: none;
    justify-content: center;
    align-items: center;
    padding-top: 3%;
    font-size: 24px;
}

.hourly-table {
    display: flex;
    flex-direction: column;
    border: solid 2px #000;
    border-radius: 10px;
    max-height: 70vh;
    width: 35vw;
    padding-left: 6px;
    overflow-y: scroll;
}

.hourly-table::-webkit-scrollbar {
    width: 6px;
}

.hourly-table::-webkit-scrollbar-thumb {
    background-color: #000000;
    border-radius: 5px;
}

.table-item {
    display: flex;
    justify-content: space-between;
    border-top: solid 2px #000;
    padding: 4%;
    font-weight: normal;
    align-items: center;
    background-color: #fff;
    filter: invert(0);
    transition: filter ease-in-out 100ms;
}

.table-item:hover {
    filter: invert(1);
}

.title-item {
    font-size: 26px;
    width: 35vw;
    padding-bottom: 0.5em;
    padding-left: 0.25em;
}

.hourly-weather-info {
    display: flex;
    align-items: center;
    gap: 1em;
}

/* Daily Weather View */
.daily-view {
    display: none;
    flex-direction: column;
    padding: 4%;
}

.daily-title {
    font-size: 28px;
    margin-bottom: 2%;
}

.daily-grid-view {
    display: grid;
    gap: 1.5em;
    grid-template-columns: repeat(auto-fill, 200px);
}

.daily-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 200px;
    height: 325px;
    background-color: #fff;
    border: solid 2px #000;
    border-radius: 10px;
    padding: 10%;
    gap: 0.5em;
    scale: 1;
    transition: scale ease-in-out 50ms;
}

.daily-card:hover {
    scale: 1.025;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.lbl-day {
    font-size: 30px;
}

.weather-icon {
    height: 90px;
    width: 90px;
    background-image: url(images/Partly_Cloudy.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.hi-temp,
.low-temp {
    font-size: 30px;
}

.low-temp {
    color: #828282;
}